Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Interface ParserVisitor

All Known Implementing Classes:
  Interpreter

    public interface ParserVisitor

Method Summary
`Object` | `visit(ASTAdditiveNode node, Object data)`
`Object` | `visit(ASTAdditiveOperator node, Object data)`
`Object` | `visit(ASTAmbiguous node, Object data)`
`Object` | `visit(ASTAndNode node, Object data)`
`Object` | `visit(ASTArrayAccess node, Object data)`
`Object` | `visit(ASTArrayLiteral node, Object data)`
`Object` | `visit(ASTAssignment node, Object data)`
`Object` | `visit(ASTBitwiseAndNode node, Object data)`
`Object` | `visit(ASTBitwiseComplNode node, Object data)`
`Object` | `visit(ASTBitwiseOrNode node, Object data)`
`Object` | `visit(ASTBitwiseXorNode node, Object data)`
`Object` | `visit(ASTBlock node, Object data)`
`Object` | `visit(ASTConstructorNode node, Object data)`
`Object` | `visit(ASTDivNode node, Object data)`
`Object` | `visit(ASTEmptyFunction node, Object data)`
`Object` | `visit(ASTEQNode node, Object data)`
`Object` | `visit(ASTERNode node, Object data)`
`Object` | `visit(ASTFalseNode node, Object data)`
`Object` | `visit(ASTForeachStatement node, Object data)`
`Object` | `visit(ASTFunctionNode node, Object data)`
`Object` | `visit(ASTGENode node, Object data)`
`Object` | `visit(ASTGTNode node, Object data)`
`Object` | `visit(ASTIdentifier node, Object data)`
`Object` | `visit(ASTIfStatement node, Object data)`
`Object` | `visit(ASTJexlScript node, Object data)`
`Object` | `visit(ASTLENode node, Object data)`
`Object` | `visit(ASTLTNode node, Object data)`
`Object` | `visit(ASTMapEntry node, Object data)`
`Object` | `visit(ASTMapLiteral node, Object data)`
`Object` | `visit(ASTMethodNode node, Object data)`
`Object` | `visit(ASTModNode node, Object data)`
`Object` | `visit(ASTMulNode node, Object data)`
`Object` | `visit(ASTNENode node, Object data)`
`Object` | `visit(ASTNotNode node, Object data)`
`Object` | `visit(ASTNRNode node, Object data)`
`Object` | `visit(ASTNullLiteral node, Object data)`
`Object` | `visit(ASTNumberLiteral node, Object data)`
`Object` | `visit(ASTOrNode node, Object data)`
`Object` | `visit(ASTReferenceExpression node, Object data)`
`Object` | `visit(ASTReference node, Object data)`
`Object` | `visit(ASTReturnStatement node, Object data)`
`Object` | `visit(ASTSizeFunction node, Object data)`
`Object` | `visit(ASTSizeMethod node, Object data)`
`Object` | `visit(ASTStringLiteral node, Object data)`
`Object` | `visit(ASTTernaryNode node, Object data)`
`Object` | `visit(ASTTrueNode node, Object data)`
`Object` | `visit(ASTUnaryMinusNode node, Object data)`
`Object` | `visit(ASTVar node, Object data)`
`Object` | `visit(ASTWhileStatement node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Method Detail

### visit

    Object visit(SimpleNode node,
                 Object data)

### visit

    Object visit(ASTJexlScript node,
                 Object data)

### visit

    Object visit(ASTBlock node,
                 Object data)

### visit

    Object visit(ASTAmbiguous node,
                 Object data)

### visit

    Object visit(ASTIfStatement node,
                 Object data)

### visit

    Object visit(ASTWhileStatement node,
                 Object data)

### visit

    Object visit(ASTForeachStatement node,
                 Object data)

### visit

    Object visit(ASTReturnStatement node,
                 Object data)

### visit

    Object visit(ASTAssignment node,
                 Object data)

### visit

    Object visit(ASTVar node,
                 Object data)

### visit

    Object visit(ASTReference node,
                 Object data)

### visit

    Object visit(ASTTernaryNode node,
                 Object data)

### visit

    Object visit(ASTOrNode node,
                 Object data)

### visit

    Object visit(ASTAndNode node,
                 Object data)

### visit

    Object visit(ASTBitwiseOrNode node,
                 Object data)

### visit

    Object visit(ASTBitwiseXorNode node,
                 Object data)

### visit

    Object visit(ASTBitwiseAndNode node,
                 Object data)

### visit

    Object visit(ASTEQNode node,
                 Object data)

### visit

    Object visit(ASTNENode node,
                 Object data)

### visit

    Object visit(ASTLTNode node,
                 Object data)

### visit

    Object visit(ASTGTNode node,
                 Object data)

### visit

    Object visit(ASTLENode node,
                 Object data)

### visit

    Object visit(ASTGENode node,
                 Object data)

### visit

    Object visit(ASTERNode node,
                 Object data)

### visit

    Object visit(ASTNRNode node,
                 Object data)

### visit

    Object visit(ASTAdditiveNode node,
                 Object data)

### visit

    Object visit(ASTAdditiveOperator node,
                 Object data)

### visit

    Object visit(ASTMulNode node,
                 Object data)

### visit

    Object visit(ASTDivNode node,
                 Object data)

### visit

    Object visit(ASTModNode node,
                 Object data)

### visit

    Object visit(ASTUnaryMinusNode node,
                 Object data)

### visit

    Object visit(ASTBitwiseComplNode node,
                 Object data)

### visit

    Object visit(ASTNotNode node,
                 Object data)

### visit

    Object visit(ASTIdentifier node,
                 Object data)

### visit

    Object visit(ASTNullLiteral node,
                 Object data)

### visit

    Object visit(ASTTrueNode node,
                 Object data)

### visit

    Object visit(ASTFalseNode node,
                 Object data)

### visit

    Object visit(ASTNumberLiteral node,
                 Object data)

### visit

    Object visit(ASTStringLiteral node,
                 Object data)

### visit

    Object visit(ASTArrayLiteral node,
                 Object data)

### visit

    Object visit(ASTMapLiteral node,
                 Object data)

### visit

    Object visit(ASTMapEntry node,
                 Object data)

### visit

    Object visit(ASTEmptyFunction node,
                 Object data)

### visit

    Object visit(ASTSizeFunction node,
                 Object data)

### visit

    Object visit(ASTFunctionNode node,
                 Object data)

### visit

    Object visit(ASTMethodNode node,
                 Object data)

### visit

    Object visit(ASTSizeMethod node,
                 Object data)

### visit

    Object visit(ASTConstructorNode node,
                 Object data)

### visit

    Object visit(ASTArrayAccess node,
                 Object data)

### visit

    Object visit(ASTReferenceExpression node,
                 Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.